=== debian/changelog ===
kalarm (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:17 +0100

kalarm (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:18 +0200

kalarm (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Remove not needed Build-Depends.
  * Update copyright file for 20.08.
  * Fix copyright information for appdata.xml.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:36 +0200

kalarm (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Unregister the old /etc/xdg/kalarm.categories,
    /etc/xdg/kalarm.renamecategories, and
    /etc/dbus-1/system.d/org.kde.kalarm.rtcwake.conf conffiles.
    (Closes: #945125)
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon

 -- Pino Toscano <pino@debian.org>  Thu, 20 Aug 2020 06:36:04 +0200

kalarm (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:13 +0200

kalarm (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:26:32 +0200
