=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 add_subdirectory(appicons)
 add_subdirectory(pixmaps)
 add_subdirectory(autostart)
-add_subdirectory(kconf_update)
 
 set(libkalarm_common_SRCS)
 
@@ -49,6 +48,33 @@
     lib/stackedwidgets.cpp
     lib/lineedit.cpp
     lib/synchtimer.cpp
+    lib/buttongroup.h
+    lib/checkbox.h
+    lib/colourbutton.h
+    lib/combobox.h
+    lib/config.h
+    lib/desktop.h
+    lib/dragdrop.h
+    lib/file.h
+    lib/filedialog.h
+    lib/groupbox.h
+    lib/label.h
+    lib/locale.h
+    lib/messagebox.h
+    lib/packedlayout.h
+    lib/pushbutton.h
+    lib/radiobutton.h
+    lib/timeedit.h
+    lib/timespinbox.h
+    lib/timeperiod.h
+    lib/timezonecombo.h
+    lib/shellprocess.h
+    lib/slider.h
+    lib/spinbox.h
+    lib/spinbox2.h
+    lib/stackedwidgets.h
+    lib/lineedit.h
+    lib/synchtimer.h
 )
 set(resources_SRCS
     resources/calendarfunctions.cpp
@@ -61,12 +87,7 @@
     resources/resourcecreator.cpp
     resources/eventmodel.cpp
     resources/datamodel.cpp
-    resources/akonadidatamodel.cpp
-    resources/akonadiresource.cpp
-    resources/akonadiresourcecreator.cpp
-    resources/akonadiresourcemigrator.cpp
     resources/calendarupdater.cpp
-    resources/akonadicalendarupdater.cpp
     resources/fileresource.cpp
     resources/fileresourceconfigmanager.cpp
     resources/fileresourcecreator.cpp
@@ -77,6 +98,27 @@
     resources/singlefileresource.cpp
     resources/singlefileresourceconfigdialog.cpp
     resources/dirresourceimportdialog.cpp
+    resources/calendarfunctions.h
+    resources/resourcetype.h
+    resources/resource.h
+    resources/resources.h
+    resources/resourcedatamodelbase.h
+    resources/resourcemodel.h
+    resources/resourceselectdialog.h
+    resources/resourcecreator.h
+    resources/eventmodel.h
+    resources/datamodel.h
+    resources/calendarupdater.h
+    resources/fileresource.h
+    resources/fileresourceconfigmanager.h
+    resources/fileresourcecreator.h
+    resources/fileresourcedatamodel.h
+    resources/fileresourcemigrator.h
+    resources/fileresourcesettings.h
+    resources/fileresourcecalendarupdater.h
+    resources/singlefileresource.h
+    resources/singlefileresourceconfigdialog.h
+    resources/dirresourceimportdialog.h
    )
 
 set(kalarm_bin_SRCS ${libkalarm_SRCS} ${resources_SRCS}
@@ -94,7 +136,10 @@
     kalarmapp.cpp
     mainwindowbase.cpp
     mainwindow.cpp
-    messagewin.cpp
+    messagedisplay.cpp
+    messagedisplayhelper.cpp
+    messagenotification.cpp
+    messagewindow.cpp
     preferences.cpp
     prefdlg.cpp
     traywindow.cpp
@@ -123,12 +168,66 @@
     newalarmaction.cpp
     commandoptions.cpp
     resourceselector.cpp
+    datepicker.cpp
+    daymatrix.cpp
     templatepickdlg.cpp
     templatedlg.cpp
     templatemenuaction.cpp
     wakedlg.cpp
     migratekde4files.cpp
     akonadicollectionsearch.cpp
+    birthdaydlg.h
+    birthdaymodel.h
+    editdlg.h
+    editdlgtypes.h
+    soundpicker.h
+    sounddlg.h
+    displaycalendar.h
+    resourcescalendar.h
+    undo.h
+    kalarmapp.h
+    mainwindowbase.h
+    mainwindow.h
+    messagedisplay.h
+    messagedisplayhelper.h
+    messagenotification.h
+    messagewindow.h
+    preferences.h
+    prefdlg.h
+    traywindow.h
+    dbushandler.h
+    recurrenceedit.h
+    deferdlg.h
+    eventid.h
+    functions.h
+    fontcolour.h
+    fontcolourbutton.h
+    alarmtimewidget.h
+    specialactions.h
+    reminder.h
+    startdaytimer.h
+    eventlistview.h
+    alarmlistdelegate.h
+    alarmlistview.h
+    templatelistview.h
+    kamail.h
+    timeselector.h
+    latecancel.h
+    repetitionbutton.h
+    emailidcombo.h
+    find.h
+    pickfileradio.h
+    newalarmaction.h
+    commandoptions.h
+    resourceselector.h
+    datepicker.h
+    daymatrix.h
+    templatepickdlg.h
+    templatedlg.h
+    templatemenuaction.h
+    wakedlg.h
+    migratekde4files.h
+    akonadicollectionsearch.h
 )
 
 ki18n_wrap_ui(kalarm_bin_SRCS
@@ -138,15 +237,18 @@
     resources/dirresourceimportdialog_type.ui
 )
 
-qt5_add_dbus_adaptor(kalarm_bin_SRCS data/org.kde.kalarm.kalarm.xml dbushandler.h DBusHandler)
-
-qt5_add_dbus_interfaces(kalarm_bin_SRCS data/org.kde.kmail.kmail.xml)
+qt_add_dbus_adaptor(kalarm_bin_SRCS data/org.kde.kalarm.kalarm.xml dbushandler.h DBusHandler)
+
+qt_add_dbus_interfaces(kalarm_bin_SRCS data/org.kde.kmail.kmail.xml)
+
+qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.Notifications.xml notifications_interface)
+qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.DBus.Properties.xml dbusproperties)
 
 kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/data/kalarmresource.kcfg org.kde.Akonadi.KAlarm.Settings)
-qt5_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarm.Settings.xml kalarmsettings KAlarmSettings)
+qt_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarm.Settings.xml kalarmsettings KAlarmSettings)
 
 kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/data/kalarmdirresource.kcfg org.kde.Akonadi.KAlarmDir.Settings)
-qt5_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarmDir.Settings.xml kalarmdirsettings KAlarmDirSettings)
+qt_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarmDir.Settings.xml kalarmdirsettings KAlarmDirSettings)
 
 kconfig_add_kcfg_files(kalarm_bin_SRCS GENERATE_MOC data/kalarmconfig.kcfgc)
 
@@ -156,6 +258,10 @@
 add_executable(kalarm_bin ${kalarm_bin_SRCS})
 
 set_target_properties(kalarm_bin PROPERTIES OUTPUT_NAME kalarm)
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(kalarm_bin PROPERTIES UNITY_BUILD ON)
+endif()
+
 target_compile_definitions(kalarm_bin PRIVATE -DVERSION="${KALARM_VERSION}")
 
 
@@ -167,8 +273,10 @@
     KF5::GlobalAccel
     KF5::GuiAddons
     KF5::Holidays
+    KF5::IdleTime
     KF5::KIOWidgets
     KF5::Notifications
+    KF5::NotifyConfig
     KF5::TextWidgets
     KF5::WindowSystem
     KF5::XmlGui
@@ -190,7 +298,7 @@
 )
 
 if (Qt5X11Extras_FOUND)
-    target_link_libraries(kalarm_bin Qt5::X11Extras ${X11_X11_LIB})
+    target_link_libraries(kalarm_bin Qt::X11Extras ${X11_X11_LIB})
 endif()
 
 
@@ -206,6 +314,7 @@
 install(FILES data/kalarmconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 install(FILES data/kalarmui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kalarm)
 install(FILES data/org.kde.kalarm.kalarm.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
+install(FILES data/kalarm.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
 
 ########### KAuth helper ###############
